Skip to content
getgeolens.com

Get Dataset Collection

GET
/collections/{dataset_id}
curl --request GET \
--url https://example.com/collections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0

Per-dataset OGC collection metadata with extent, CRS, and items link.

dataset_id
required
Dataset Id
string format: uuid
f
Any of:
string

Successful Response

Media type application/json
OGCCollectionMetadata

Per-dataset collection metadata per OGC API Features.

object
crs
Crs

Coordinate reference systems supported for items in this collection.

Array<string>
default: http://www.opengis.net/def/crs/OGC/1.3/CRS84
description
Any of:
string
extent
Any of:
object
key
additional properties
any
id
required
Id

Stable collection identifier (typically the dataset ID).

string
itemType
Itemtype

Type of items in the collection: ‘feature’ for vector feature collections, ‘coverage’ for raster/VRT collections (which expose tiles instead of feature items).

string
default: feature
links
required
Links

Collection navigation links (self, items, queryables, etc.).

Array<object>
OGCLink
object
href
required
Href

Target URL of the link.

string
rel
required
Rel

Link relation type per RFC 8288 (e.g. ‘self’, ‘next’, ‘prev’, ‘data’, ‘collection’).

string
title
Any of:
string
type
required
Type

Media type of the linked resource (e.g. ‘application/json’, ‘application/geo+json’).

string
title
required
Title

Human-readable collection title.

string
Example
{
"crs": [
"http://www.opengis.net/def/crs/OGC/1.3/CRS84"
],
"itemType": "feature"
}

Bad request — invalid query parameters or payload

Media type application/problem+json
ProblemDetail
object
detail
required
Any of:
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Not found

Media type application/problem+json
ProblemDetail
object
detail
required
Any of:
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Too many requests — retry after the advertised interval

Media type application/problem+json
ProblemDetail
object
detail
required
Any of:
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}
Retry-After
integer

Seconds until the request may be retried

Internal server error

Media type application/problem+json
ProblemDetail
object
detail
required
Any of:
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Service unavailable — the database could not serve the request

Media type application/problem+json
ProblemDetail
object
detail
required
Any of:
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}